import { IconAlignCenter } from '@tabler/icons-react';

import ActionButton from '../components/ActionButton';
import { useTextArea } from '../context';

const AlignCenter = ({ title }: { title: string }) => {
  const { editor } = useTextArea();

  if (!editor) {
    return null;
  }

  return (
    <ActionButton
      title={title}
      icon={<IconAlignCenter />}
      onClick={() => editor.chain().focus().toggleTextAlign('center').run()}
      isActive={editor.isActive({ textAlign: 'center' })}
    />
  );
};

export default AlignCenter;
